package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @author yanghuan
 * @title: ErrorWarningRequest
 * @projectName ssj
 * @description: TODO
 * @date 2019/5/22 14:48
 */
public class ErrorWarningRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @NotNull(message="页码不能为空")
    @ApiModelProperty(name="pageNo",value = "页码",required = true)
    private int pageNo;

    @NotNull(message="每页条数不能为空")
    @ApiModelProperty(name="pageSize",value = "每页条数",required = true)
    private int pageSize;

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }


}
